Ledgers

Create ledger

How to create a new ledger in Blnk.

POST/ledgers

Authorization

If set, the API uses an API key for authentication. Include the following header in your requests: X-blnk-key: <api-key>.

Replace <api-key> with your secret API key. Ensure the key is kept secure and not exposed in public repositories or client-side code.

See also: Core API key.

Body

namestringrequiredbody

Name of the ledger. Ensure it is as descriptive as possible for easy reference.

meta_dataobjectbody

Additional metadata for the request body.

Response

ledger_idstringrequired

Unique id to represent the created ledger.

namestringrequired

Name of the ledger.

created_atstringrequired

Indicates the date & time of creation.

meta_dataUser Object

Additional metadata of the ledger.